commit:     6fffc9164bb76f4a5e626c38ae09c2b675cd13dd
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 21 21:32:43 2025 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sat Feb 22 02:34:52 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6fffc916

games-engines/devilutionx: add 1.5.4

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-engines/devilutionx/Manifest                 |  1 +
 games-engines/devilutionx/devilutionx-1.5.4.ebuild | 93 ++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/games-engines/devilutionx/Manifest 
b/games-engines/devilutionx/Manifest
index cce23aa680f0..de7735db18b1 100644
--- a/games-engines/devilutionx/Manifest
+++ b/games-engines/devilutionx/Manifest
@@ -1 +1,2 @@
 DIST devilutionx-1.5.3.tar.xz 22394112 BLAKE2B 
1b04c7fe334ddfd6b1eb619b1e86c1e429f6c26c980a16129d8322bb30641409d9d11a203e42ccdbce60a05e00dc49b1a2acbdd1007c5f99e40b88acd1251440
 SHA512 
619873bb232d1b344f5001c232364af9cfcda72e44f28fd2a15332292fa37c0e64b7fccade3570b96bd648be235ed56e0cc2e3fd8299ac57ef26f2ce844cbc2f
+DIST devilutionx-1.5.4.tar.xz 22665424 BLAKE2B 
2debdc0235618bf3b244da4b6ef48af45c0940bba7b923fefec3d1a2183e80459b5a997440008d56fe9483cb84e2b78c6eff41e21b4c25617fba067e7e27f704
 SHA512 
1d601453a826d4a214f851844c1b6e68114ac099f152464edbabe4e6bfd4553746ab1e6da83a01e6318e83f8e559000052a991fbfb7e88c6f1a7e9d059ab3380

diff --git a/games-engines/devilutionx/devilutionx-1.5.4.ebuild 
b/games-engines/devilutionx/devilutionx-1.5.4.ebuild
new file mode 100644
index 000000000000..9584fcf8ac5e
--- /dev/null
+++ b/games-engines/devilutionx/devilutionx-1.5.4.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+DESCRIPTION="Diablo engine for modern operating systems"
+HOMEPAGE="https://github.com/diasurgical/devilutionX/";
+SRC_URI="
+       
https://github.com/diasurgical/devilutionX/releases/download/${PV}/devilutionx-src.tar.xz
+               -> ${P}.tar.xz
+"
+S=${WORKDIR}/${PN}-src-${PV}
+
+LICENSE="
+       Sustainable-Use-1.0
+       BSD CC-BY-4.0 GPL-2+ LGPL-2.1+ MIT OFL-1.1
+       zerotier? ( BUSL-1.1 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug +sodium test zerotier"
+RESTRICT="bindist mirror !test? ( test )"
+
+RDEPEND="
+       app-arch/bzip2:=
+       dev-libs/libfmt:=
+       media-libs/libsdl2[haptic,joystick,opengl,video]
+       media-libs/sdl2-image[png]
+       media-libs/sdl_audiolib
+       sys-libs/zlib:=
+       sodium? ( dev-libs/libsodium:= )
+"
+DEPEND="
+       ${RDEPEND}
+       dev-cpp/asio
+       dev-cpp/simpleini
+       test? ( dev-cpp/gtest )
+"
+BDEPEND="
+       sys-devel/gettext
+"
+
+CMAKE_SKIP_TESTS=(
+       # timedemo tests only pass when game assets are available
+       Timedemo.
+)
+
+src_prepare() {
+       cmake_src_prepare
+
+       # use system asio
+       echo 'add_library(asio INTERFACE)' > 3rdParty/asio/CMakeLists.txt || die
+
+       # ensure system copies are used
+       rm -r dist/{asio,simpleini,sdl_audiolib}-src || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_TESTING=$(usex test)
+               -DCCACHE_PROGRAM=no #813768
+               -DDEBUG=$(usex debug)
+               -DDISABLE_LTO=yes # let CFLAGS control this
+               -DDISABLE_ZERO_TIER=$(usex !zerotier)
+               -DPACKET_ENCRYPTION=$(usex sodium)
+               -DPIE=yes
+       )
+
+       cmake_src_configure
+}
+
+src_install() {
+       local DOCS=( Packaging/nix/README.txt docs/*.md )
+       cmake_src_install
+
+       rm -- "${ED}"/usr/share/diasurgical/devilutionx/README.txt || die
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       if [[ ! ${REPLACING_VERSIONS} ]]; then
+               elog "In order to play the game, you will need to copy the 
following data file"
+               elog "from the original game, and optionally the hellfire 
expansion files:"
+               elog "  - DIABDAT.MPQ"
+               elog "  - hellfire.mpq hfmonk.mpq hfmusic.mpq hfvoice.mpq"
+               elog "to ~/.local/share/diasurgical/devilution/"
+               elog
+               elog "See ${EROOT}/usr/share/doc/${PF}/README.txt* for details."
+       fi
+}

Reply via email to